#root {
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}

.note-header {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  margin-bottom: 3rem;
  border-bottom: 1px solid var(--text-400);
}
.note-app {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
}

.note-form{
  display: flex;
  flex-flow:column;
}
.text-field{
  border:1px solid cadetblue;
  padding:15px;
  margin-bottom: 8px;
  border-radius: 5px;;
}
.note-header select{
  background-color: transparent;
  border:none;
  border-bottom: 1px solid cadetblue;
  padding:5px;
}
.note-header select:focus{
  outline: none;
  border-bottom: 3px solid cadetblue;
}
.note-item{
  display: flex;
  flex-direction:column;
  flex-wrap:wrap;
  width:600px;
  min-height: 150px;
  border:1px solid green;
}

.note-item_header{
  display: flex;
  flex-direction: row;
 flex-wrap:nowrap;
 justify-content: space-between;
 padding:0 15px 0 15px;
}
.note-item_header .title{
  color:gray;
  font-weight: bold;
}
.note-item_footer{
  color:darkcyan;
  font-size: 0.9rem;
}
.completed{
  background-color: lightgray;
}
.completed p{
  text-decoration:line-through;
}
ul.note-status{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  background-color:blanchedalmond;
  font-weight: bold;
  font-size:1.05rem;
}
ul.note-status li{
  list-style-type: none;;
}
.btn--primary{
  background-color: lightgreen;
  color: darkred
}
@keyframes logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media (prefers-reduced-motion: no-preference) {
  a:nth-of-type(2) .logo {
    animation: logo-spin infinite 20s linear;
  }
}

.card {
  padding: 2em;
}

.read-the-docs {
  color: #888;
}
